<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: RotationMatrix.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_rotation_matrix_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RotationMatrix.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_rotation_matrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef ROTATIONMATRIX_H</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define ROTATIONMATRIX_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">namespace </span>framework {</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keyword">class </span>Euler;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_rotation_matrix.html">   21</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            <a class="code" href="classframework_1_1core_1_1_rotation_matrix.html#a035c929a5b443613e15dcc4c87a1fb4a">RotationMatrix</a>();</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;            <a class="code" href="classframework_1_1core_1_1_rotation_matrix.html#af565fa989556c0ad6bdf9a8b379763a4">~RotationMatrix</a>();</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1_rotation_matrix.html#a46901a965b7efd5d73d648d6449ce032">ToEuler</a>(<a class="code" href="classframework_1_1core_1_1_euler.html">Euler</a> &amp;euler) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;            <a class="code" href="classframework_1_1core_1_1_euler.html">Euler</a> <a class="code" href="classframework_1_1core_1_1_rotation_matrix.html#a46901a965b7efd5d73d648d6449ce032">ToEuler</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_rotation_matrix.html#a2f9ada41552ac7eba5ba198d132bae30">   54</a></span>&#160;            <span class="keywordtype">float</span> <a class="code" href="classframework_1_1core_1_1_rotation_matrix.html#a2f9ada41552ac7eba5ba198d132bae30">m</a>[3][3];</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            <span class="keywordtype">float</span>&amp; operator()(<span class="keywordtype">size_t</span> row,<span class="keywordtype">size_t</span> col);</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; operator()(<span class="keywordtype">size_t</span> row,<span class="keywordtype">size_t</span> col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    };</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif // ROTATIONMATRIX_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_rotation_matrix_html_a46901a965b7efd5d73d648d6449ce032"><div class="ttname"><a href="classframework_1_1core_1_1_rotation_matrix.html#a46901a965b7efd5d73d648d6449ce032">framework::core::RotationMatrix::ToEuler</a></div><div class="ttdeci">Euler ToEuler(void) const </div><div class="ttdoc">Convert to euler angles. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_rotation_matrix_html_af565fa989556c0ad6bdf9a8b379763a4"><div class="ttname"><a href="classframework_1_1core_1_1_rotation_matrix.html#af565fa989556c0ad6bdf9a8b379763a4">framework::core::RotationMatrix::~RotationMatrix</a></div><div class="ttdeci">~RotationMatrix()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_rotation_matrix_html_a035c929a5b443613e15dcc4c87a1fb4a"><div class="ttname"><a href="classframework_1_1core_1_1_rotation_matrix.html#a035c929a5b443613e15dcc4c87a1fb4a">framework::core::RotationMatrix::RotationMatrix</a></div><div class="ttdeci">RotationMatrix()</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_rotation_matrix_html_a2f9ada41552ac7eba5ba198d132bae30"><div class="ttname"><a href="classframework_1_1core_1_1_rotation_matrix.html#a2f9ada41552ac7eba5ba198d132bae30">framework::core::RotationMatrix::m</a></div><div class="ttdeci">float m[3][3]</div><div class="ttdoc">matrix </div><div class="ttdef"><b>Definition:</b> RotationMatrix.h:54</div></div>
<div class="ttc" id="classframework_1_1core_1_1_euler_html"><div class="ttname"><a href="classframework_1_1core_1_1_euler.html">framework::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:22</div></div>
<div class="ttc" id="classframework_1_1core_1_1_rotation_matrix_html"><div class="ttname"><a href="classframework_1_1core_1_1_rotation_matrix.html">framework::core::RotationMatrix</a></div><div class="ttdoc">Class defining a rotation matrix. </div><div class="ttdef"><b>Definition:</b> RotationMatrix.h:21</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_rotation_matrix_8h.html">RotationMatrix.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
